| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | List of all members
GaudiPython.Bindings.iAlgorithm Class Reference
Inheritance diagram for GaudiPython.Bindings.iAlgorithm:
[legend]
Collaboration diagram for GaudiPython.Bindings.iAlgorithm:
[legend]

## Public Member Functions
def | __init__
def | retrieveInterface (self)
Public Member Functions inherited from GaudiPython.Bindings.iProperty
def | __init__
def | getInterface (self)
def | retrieveInterface (self)
def | __call_interface_method__ (self, ifname, method, args)
def | __setattr__ (self, name, value)
def | __getattr__ (self, name)
def | properties (self)
def | name (self)

## Static Public Attributes
tuple | initialize = lambdaself:self.__call_interface_method__("_ialg","initialize")
tuple | start = lambdaself:self.__call_interface_method__("_ialg","start")
tuple | execute = lambdaself:self.__call_interface_method__("_ialg","execute")
tuple | stop = lambdaself:self.__call_interface_method__("_ialg","stop")
tuple | finalize = lambdaself:self.__call_interface_method__("_ialg","finalize")
tuple | reinitialize = lambdaself:self.__call_interface_method__("_ialg","reinitialize")
tuple | restart = lambdaself:self.__call_interface_method__("_ialg","restart")
tuple | sysInitialize = lambdaself:self.__call_interface_method__("_ialg","sysInitialize")
tuple | sysStart = lambdaself:self.__call_interface_method__("_ialg","sysStart")
tuple | sysExecute = lambdaself:self.__call_interface_method__("_ialg","sysExecute")
tuple | sysStop = lambdaself:self.__call_interface_method__("_ialg","sysStop")
tuple | sysFinalize = lambdaself:self.__call_interface_method__("_ialg","sysFinalize")
tuple | sysReinitialize = lambdaself:self.__call_interface_method__("_ialg","sysReinitialize")
tuple | sysRestart = lambdaself:self.__call_interface_method__("_ialg","sysRestart")

## Detailed Description

    Python equivalent to IAlgorithm interface

Definition at line 304 of file Bindings.py.

## Constructor & Destructor Documentation

def GaudiPython.Bindings.iAlgorithm.__init__ | ( |  | self,
|  |  | name,
|  |  | ialg = `None`
| ) |  |

Definition at line 306 of file Bindings.py.

306 def __init__(self, name, ialg = None ) :
307 iProperty.__init__(self, name, ialg )
308 if ialg : self.__dict__['_ialg'] = InterfaceCast(gbl.IAlgorithm)(ialg)
309 else : self.__dict__['_ialg'] = None
GaudiPython.Bindings.InterfaceCast
Definition: Bindings.py:77
GaudiPython.Bindings.iAlgorithm.__init__
def __init__
Definition: Bindings.py:306

## Member Function Documentation

def GaudiPython.Bindings.iAlgorithm.retrieveInterface | ( |  | self | ) |

Definition at line 310 of file Bindings.py.

310 def retrieveInterface(self) :
311 ialg = Helper.algorithm(InterfaceCast(gbl.IAlgManager)(self._svcloc),self._name)
312 if ialg : iAlgorithm.__init__(self, self._name, ialg)
GaudiPython.Bindings.InterfaceCast
Definition: Bindings.py:77
GaudiPython.Bindings.iAlgorithm.retrieveInterface
def retrieveInterface(self)
Definition: Bindings.py:310

## Member Data Documentation

tuple GaudiPython.Bindings.iAlgorithm.execute = lambdaself:self.__call_interface_method__("_ialg","execute")
| static

Definition at line 315 of file Bindings.py.

tuple GaudiPython.Bindings.iAlgorithm.finalize = lambdaself:self.__call_interface_method__("_ialg","finalize")
| static

Definition at line 317 of file Bindings.py.

tuple GaudiPython.Bindings.iAlgorithm.initialize = lambdaself:self.__call_interface_method__("_ialg","initialize")
| static

Definition at line 313 of file Bindings.py.

tuple GaudiPython.Bindings.iAlgorithm.reinitialize = lambdaself:self.__call_interface_method__("_ialg","reinitialize")
| static

Definition at line 318 of file Bindings.py.

tuple GaudiPython.Bindings.iAlgorithm.restart = lambdaself:self.__call_interface_method__("_ialg","restart")
| static

Definition at line 319 of file Bindings.py.

tuple GaudiPython.Bindings.iAlgorithm.start = lambdaself:self.__call_interface_method__("_ialg","start")
| static

Definition at line 314 of file Bindings.py.

tuple GaudiPython.Bindings.iAlgorithm.stop = lambdaself:self.__call_interface_method__("_ialg","stop")
| static

Definition at line 316 of file Bindings.py.

tuple GaudiPython.Bindings.iAlgorithm.sysExecute = lambdaself:self.__call_interface_method__("_ialg","sysExecute")
| static

Definition at line 322 of file Bindings.py.

tuple GaudiPython.Bindings.iAlgorithm.sysFinalize = lambdaself:self.__call_interface_method__("_ialg","sysFinalize")
| static

Definition at line 324 of file Bindings.py.

tuple GaudiPython.Bindings.iAlgorithm.sysInitialize = lambdaself:self.__call_interface_method__("_ialg","sysInitialize")
| static

Definition at line 320 of file Bindings.py.

tuple GaudiPython.Bindings.iAlgorithm.sysReinitialize = lambdaself:self.__call_interface_method__("_ialg","sysReinitialize")
| static

Definition at line 325 of file Bindings.py.

tuple GaudiPython.Bindings.iAlgorithm.sysRestart = lambdaself:self.__call_interface_method__("_ialg","sysRestart")
| static

Definition at line 326 of file Bindings.py.

tuple GaudiPython.Bindings.iAlgorithm.sysStart = lambdaself:self.__call_interface_method__("_ialg","sysStart")
| static

Definition at line 321 of file Bindings.py.

tuple GaudiPython.Bindings.iAlgorithm.sysStop = lambdaself:self.__call_interface_method__("_ialg","sysStop")
| static

Definition at line 323 of file Bindings.py.

The documentation for this class was generated from the following file:

- GaudiPython/python/GaudiPython/Bindings.py